ConnectCloud Developers

Delete an own entry (tenant:access)

DELETE /api/hr/v1/work-entries/{id}

Module: HR · operationId: deleteWorkEntry · Tag: Work entries · Auth: access token (Authorization: Bearer <accessToken>)

Approved and billed entries are 409 locked. A correction that is not approved yet is deleted by the person who booked it or an approver of the employee (403 not_correction_creator for anyone else).

Parameters

Name In Type Required Description
version query integer yes The entry's version
id path string (uuid) yes

Responses

  • 204 Deleted
  • 400 Error (application/json)
  • 403 Error (application/json)
  • 404 Error (application/json)
  • 409 Error (application/json)

Example request

curl -X DELETE 'https://api.mbcom.cloud/api/hr/v1/work-entries/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12?version=1' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI